Subject: bug#21441: closed (Re: bug#21441: 25.0.50; doc of `make-char-table')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Sep 2015 16:04:02 +0000

Your bug report

#21441: 25.0.50; doc of `make-char-table'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21441: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21441
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21441: 25.0.50; doc of `make-char-table'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Sep 2015 19:02:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 9 Sep 2015 08:10:45 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> The doc is inconsistent and unclear wrt the first argument.
> 
> In (elisp) `Char-Tables' the arg is named SUBTYPE.  In the doc string it
> is named PURPOSE.  Why SUBTYPE and not TYPE?

Because "type" is char-table.

> Please make the doc clearer, reconciling the treatment of the arg as a
> "purpose" and as a "subtype".

The text before the description of make-char-table explains at length
what is the subtype.  I see nothing unclear there.  I also see no
reason to insists that the doc string and the manual use exactly the
same nomenclature for the arguments.

In sum, I see nothing that needs to be fixed here.

I'm closing the bug.

Subject: 25.0.50; doc of `make-char-table'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Wed, 9 Sep 2015 08:10:45 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc is inconsistent and unclear wrt the first argument.

In (elisp) `Char-Tables' the arg is named SUBTYPE.  In the doc string it
is named PURPOSE.  Why SUBTYPE and not TYPE?  There is no parent type
described anywhere, for which this arg would be the SUBtype.

Please make the doc clearer, reconciling the treatment of the arg as a
"purpose" and as a "subtype".

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2015-08-16 on LEG570
Bzr revision: f7ee23e587b01f179284b5554c67d579a2def676
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --host=i686-pc-mingw32 --enable-checking=yes,glyphs'